MP4(3)

NAME

MP4SetTrackTimeScale - Set the time scale of a track

SYNTAX

#include <mp4.h>

bool MP4SetTrackTimeScale(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    u_int32_t timeScale
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

timeScale
    Specifies the desired time scale for the track.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4SetTrackTimeScale sets the time scale of the specified track in the mp4 file. The time scale determines the number of clock ticks per second for this track.

Typically this value is set once when the track is created. However this call can be used to modify the value if that is desired. Since track sample durations are expressed in units of the track time scale, any change to the time scale value will effect the real time duration of the samples.

SEE ALSO

MP4(3)